## 报警系统数据表
# 报警条目表
DROP TABLE IF EXISTS `alarm_item`;
create table alarm_item
(
    id varchar(40) not null primary key comment '',
    code varchar(40) not null comment '报警条目编码（6位数字）',
    name varchar(255) null comment '报警条目名称',
    project_id varchar(40) null comment '项目ID',
    alarm_category varchar(100) null comment '报警分类',
    level varchar(40)  null comment '严重程度 S A B C D 五级',
    valid int null comment '有效状态',
    create_user varchar(40) null comment '创建用户',
    create_time timestamp null comment '创建时间',
    update_user varchar(40) null comment '更新用户',
    update_time timestamp null comment '更新时间',
    remark varchar(500) null comment '备注'
) comment '报警条目表';

# 报警记录表
DROP TABLE IF EXISTS `alarm_record`;
create table alarm_record
(
    id varchar(40)  not null primary key ,
    code varchar(40)  null comment '报警条目编码',
    project_id varchar(50)  null comment '项目id',
    object_id varchar(50)  null comment '对象id',
    level varchar(10)  null comment '严重程度 S A B C D 五级',
    status varchar(50)  null comment '状态',
    create_time varchar(14)  null comment '创建时间',
    recover_time varchar(14)  null comment '恢复时间',
    remark varchar(500) null comment '备注'
) comment '报警记录表';