## 务调度系统数据表
# 任务配置
DROP TABLE IF EXISTS `dpt_task_cfg`;
create table dpt_task_cfg
(
    id  varchar(40) not null primary key ,
    group_code  varchar(20) null comment '集团编码',
    app_code    varchar(40) null comment '应用编码',
    project_id  varchar(40) null comment '项目ID',
    code    varchar(20) not null comment '任务编码',
    name    varchar(40) not null comment '任务名称',
    type    varchar(20) not null comment '执行方式:http、jms',
    config  json not null comment '执行方式配置参数',
    params  json not null comment '调起参数',
    time_rule   json not null comment '调起频率',
    start_time  timestamp null comment '开始时间',
    end_time    timestamp null comment '结束时间',
    response_time   int not null comment '任务接口的处理时长，用于任务启停消峰控制',
    level   varchar(20) not null comment '优先级，用于任务启停消峰控制',
    remark  varchar(200) comment '备注'
) comment '任务配置';

# 任务执行记录
DROP TABLE IF EXISTS `dpt_task_record`;
create table dpt_task_record
(
    id  varchar(40) not null primary key ,
    task_id varchar(40) not null comment '任务配置ID',
    start_time  timestamp null comment '开始时间',
    end_time timestamp null comment '结束时间',
    success int not null comment '1是，0否，否表示发生了异常',
    error_info  json not null comment '错误信息'
) comment '任务执行记录';